$local:MyPowerLineSetup = [ordered]@{
    Title = { "Sz PS" }
    SetCurrentDirectory = $true
    PowerLineFont = $true
    RestoreVirtualTerminal = $true
    PowerLineCharacters = [ordered]@{
        ColorSeparator = "$([char]::ConvertFromUtf32(0x2588)
        )$([PoshCode.Pansies.Entities]::ExtendedCharacters.ColorSeparator.Trim()[-1]) "
        ReverseColorSeparator = " $(
                [PoshCode.Pansies.Entities]::ExtendedCharacters.ReverseColorSeparator.Trim()[0]
            )$([char]::ConvertFromUtf32(0x2588))"
        Separator = " $([PoshCode.Pansies.Entities]::ExtendedCharacters.Separator.Trim()[-1]) "
        ReverseSeparator = " $(
            [PoshCode.Pansies.Entities]::ExtendedCharacters.ReverseSeparator.Trim()[0]) "
    }
    Colors = @( [rgbcolor]"Grey18", [rgbcolor]"Grey65" ) #, [rgbcolor]"white", [rgbcolor]"red", [rgbcolor]"blue" )
    Prompt = @(
        { "`n" } # A spaced line
        { New-PromptText -EBg VioletRed4 $MyInvocation.HistoryId }
        { Get-Elapsed -Trim }
        { Get-SegmentedPath -LengthLimit 30 }
        { $local:_git_prompt = Write-VcsStatus; if( $_git_prompt ) { "$([PoshCode.Pansies.Entities]::ExtendedCharacters.Branch)$_git_prompt" } }

        # Right-align block
        { "`t" }
        { "$env:USERNAME @ $env:COMPUTERNAME" }
        { Get-Date -Format 'HH:mm:ss' }
        { Get-Date -Format 'MM/dd ddd' }
        { "$PSOSName " }

        { "`n" }
        { New-PromptText { "PS" } -Ebg Red }
    )
}
Set-PowerLineTheme @MyPowerLineSetup